commit:     25c40796cfe176eac68cf17a1310b58ce8e2ce1d
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Sat Mar 30 19:32:59 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun Apr 14 16:01:20 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25c40796

sci-libs/spr: EAPI8 bump, fix bug #851021

Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>

Closes: https://bugs.gentoo.org/851021
Closes: https://github.com/gentoo/gentoo/pull/36002
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 sci-libs/spr/{spr-3.3.2.ebuild => spr-3.3.2-r1.ebuild} | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

diff --git a/sci-libs/spr/spr-3.3.2.ebuild b/sci-libs/spr/spr-3.3.2-r1.ebuild
similarity index 80%
rename from sci-libs/spr/spr-3.3.2.ebuild
rename to sci-libs/spr/spr-3.3.2-r1.ebuild
index 3b639a0e109b..54935e6924fd 100644
--- a/sci-libs/spr/spr-3.3.2.ebuild
+++ b/sci-libs/spr/spr-3.3.2-r1.ebuild
@@ -1,13 +1,14 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=8
 
 inherit autotools
 
 DESCRIPTION="Statistical analysis and machine learning library"
 HOMEPAGE="https://statpatrec.sourceforge.net/";
 SRC_URI="mirror://sourceforge/statpatrec/${P^^}.tar.gz"
+S="${WORKDIR}/${P^^}"
 
 LICENSE="GPL-2"
 SLOT="0"
@@ -18,7 +19,6 @@ IUSE="root static-libs"
 DEPEND="root? ( sci-physics/root )"
 RDEPEND="${DEPEND}"
 
-S=${WORKDIR}/${P^^}
 PATCHES=(
        "${FILESDIR}"/${P}-autotools.patch
        "${FILESDIR}"/${P}-gcc46.patch
@@ -37,3 +37,10 @@ src_configure() {
                $(use_enable static-libs static) \
                $(use_with root)
 }
+
+src_install() {
+       default
+       if use static-libs; then
+               find "${ED}" -name '*.la' -delete || die
+       fi
+}

Reply via email to